--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Return a list of fields in predictable order
- !ruby/struct:SM::Flow::P 
  body: "@return [Array&lt;Property&gt;]"
- !ruby/struct:SM::Flow::VERB 
  body: "  list of fields sorted in deterministic order\n"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Query#sorted_fields
is_singleton: false
name: sorted_fields
params: ()
visibility: public
